net.dontdrinkandroot.visualization.layout.graph.edgerouting

## Interface EdgeRouter<V,E>

All Known Implementing Classes:
  CenterEdgeRouter, CenterEdgeRouter2, PiecewiseEdgeRouter, StraightEdgeRouter

    public interface EdgeRouter<V,E>

### Method Summary

Methods
`EdgeFactory<E>` `getEdgeFactory()`
`Map<E,VisualItem>` `getEdgeMap(Map<V,VisualItem> vertexMap, edu.uci.ics.jung.graph.Graph<V,E> g)`
`void` `setEdgeFactory(EdgeFactory<E> edgeFactory)`

### Method Detail

#### getEdgeMap

    Map<E,VisualItem> getEdgeMap(Map<V,VisualItem> vertexMap,
                               edu.uci.ics.jung.graph.Graph<V,E> g)

#### getEdgeFactory

    EdgeFactory<E> getEdgeFactory()

#### setEdgeFactory

    void setEdgeFactory(EdgeFactory<E> edgeFactory)